//
//  ResiliationNavigationScreen.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 14/10/2024.
//

import SwiftUI

struct ResiliationNavigationScreen: View {
    @StateObject var viewModel: ResiliationViewModel

    var body: some View {
        NavigationStack {
            ResiliationCheckStepsScreen(viewModel: viewModel)
        }
    }
}

struct PromotionalScreenWrapper: View {
    @ObservedObject var viewModel: ResiliationViewModel

    var body: some View {
        if let screen = viewModel.currentPromotionalScreen {
            viewModel.getPromotionalScreenNew(for: screen)
        } else {
            ResiliationConfirmationScreen()
        }
    }
}
